
	class SensorsManagerComponent
	{
		class Components
		{
			class ActiveRadarSensorComponent: SensorTemplateActiveRadar
			{
				class AirTarget
				{
					minRange=50;
					maxRange=14000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				class GroundTarget
				{
					minRange=50;
					maxRange=7000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				angleRangeHorizontal=45;
				angleRangeVertical=90;
				aimDown = 0;
				groundNoiseDistanceCoef = 0.1;
				maxSpeedThreshold = 40;
				minSpeedThreshold = 30;
				typeRecognitionDistance = 10000;
			};
			class PassiveRadarSensorComponent: SensorTemplatePassiveRadar
			{
				class AirTarget
				{
					minRange=500;
					maxRange=25000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				class GroundTarget
				{
					minRange=500;
					maxRange=25000;
					objectDistanceLimitCoef=-1;
					viewDistanceLimitCoef=-1;
				};
				angleRangeHorizontal=360;
				angleRangeVertical=90;
				aimDown = 0;
				typeRecognitionDistance = 25000;
			};
			class AntiRadiationSensorComponent: SensorTemplateAntiRadiation
					{
						class AirTarget
						{
							minRange = 100;
							maxRange = 25000;
							objectDistanceLimitCoef = -1;
							viewDistanceLimitCoef = -1;
						};
						class GroundTarget: AirTarget
						{
							minRange = 100;
							maxRange = 25000;
							objectDistanceLimitCoef = -1;
							viewDistanceLimitCoef = -1;
						};
						angleRangeHorizontal = 360;
						angleRangeVertical = 80;
						maxTrackableSpeed = 3000;
						typeRecognitionDistance = 25000;
						aimDown = 0;
					};
			class VisualSensorComponent: SensorTemplateVisual
					{
						class AirTarget
						{
							minRange = 1;
							maxRange = 5000;
							objectDistanceLimitCoef = 1;
							viewDistanceLimitCoef = 1;
						};
						class GroundTarget
						{
							minRange = 1;
							maxRange = 5000;
							objectDistanceLimitCoef = 1;
							viewDistanceLimitCoef = 1;
						};
						typeRecognitionDistance = 1250;
						angleRangeHorizontal = 90;
						angleRangeVertical = 55;
						nightRangeCoef = 0.75;
						groundNoiseDistanceCoef = 0.001;
					};
		};
	};
	class VehicleSystemsDisplayManagerComponentLeft: VehicleSystemsTemplateLeftSensorsPilot
	{
		class Components: components
		{
			class CrewDisplay
			{
			};
			class SensorDisplay
			{
				componentType="SensorsDisplayComponent";
				range[] = {16000,12000,6000,3000};
				resource="RscCustomInfoSensors";
			};
		};
	};
	class VehicleSystemsDisplayManagerComponentRight: VehicleSystemsTemplateRightSensorsPilot
	{
		defaultDisplay="SensorDisplay";
		class Components: components
		{
			class CrewDisplay
			{
			};
			class SensorDisplay
			{
				componentType="SensorsDisplayComponent";
				range[] = {20000,15000,10000,5000,2500,1000};
				resource="RscCustomInfoSensors";
			};
		};
	};		