class All
{
	class EventHandlers;
	class MarkerLights;
	class NVGMarkers;
	class NVGMarker;
	class Turrets;
	class HeadLimits;
	class ViewPilot;
	class ViewCargo;
	class ViewOptics;
	class PilotSpec;
	class CargoSpec
	{
		class Cargo1;
	};
	class TransportWeapons;
	class TransportMagazines;
	class SoundEnvironExt;
	class SoundEquipment;
	class SoundGear;
	class SoundBreath;
	class SoundBreathSwimming;
	class SoundBreathInjured;
	class SoundHitScream;
	class SoundInjured;
	class SoundBreathAutomatic;
	class SoundDrown;
	class SoundChoke;
	class SoundRecovered;
	class SoundBurning;
	class PulsationSound;
	class SoundDrowning;
	class Reflectors;
	class FxExplo;
	class AnimationSources;
	class GunFire;
	class GunClouds;
	class MGunClouds;
	class Damage;
	class DestructionEffects
	{
		class Light1;
		class Smoke1;
		class Fire1;
		class Sparks1;
		class Sound;
		class Light2;
		class Fire2;
		class Smoke1_2;
	};
	class camShakeGForce;
	class camShakeDamage;
	class SpeechVariants
	{
		class Default;
	};
	class SimpleObject;
};			
class AllVehicles: All
{
	class SquadTitles;
	class NewTurret
	{
		class ViewGunner: ViewOptics{}; //ext to cfgvehicles
		class TurretSpec;
		class Reflectors;
		class GunFire: WeaponFireGun{}; //ext to cfgvehicles
		class GunClouds: WeaponCloudsGun{}; //ext to cfgvehicles
		class MGunClouds: WeaponCloudsMGun{}; //ext to cfgvehicles
		class HitPoints
		{
			class HitTurret;
			class HitGun;
		};
		class Turrets;
		class ViewOptics;
		class TurnIn;
		class TurnOut;
	};
	class ViewPilot;
	class ViewCargo;
	class ViewOptics;
	class PilotSpec;
	class CargoSpec
	{
		class Cargo1;
	};
	class MFD;
	class Sounds
	{
		class Engine;
		class Movement;
	};
	class SoundEvents;
	class RenderTargets;
	class CargoTurret: NewTurret
	{
		class ViewGunner: ViewCargo{}; //ext to cfgvehicles
	};
};			
class Air: AllVehicles
{
	class Components
	{
		class TransportCountermeasuresComponent;
	};
	class MarkerLights
	{
		class RedStill;
		class GreenStill;
		class WhiteStill;
		class WhiteBlinking;
		class RedBlinking;
		class PositionRed
		{
			class Attenuation;
		};
		class PositionGreen;
		class PositionWhite;
		class CollisionRed;
		class CollisionWhite;
	};
	class AnimationSources
	{
		class CollisionLightRed_source;
		class CollisionLightWhite_source;
	};
	class TransportItems;
	class Exhausts
	{
		class Exhaust1;
		class Exhaust2;
	};
	class camShakeGForce;
	class camShakeDamage;
};
class Plane: Air
{
	class ViewPilot: ViewPilot{};
	class ViewOptics: ViewOptics{};
	class WingVortices
	{
		class WingTipLeft;
		class WingTipRight;
	};
	class Reflectors
	{
		class Reflector;
	};
	class MFD
	{
		class HUD: AirplaneHUD
		{
			class pos10vector: Pos10Vector{}; //ext to cfgvehicles
			class bones: Bones{};//ext to cfgvehicles
			class Draw: Draw//ext to cfgvehicles
			{
				class DimmedBase: DimmedBase{};//ext to cfgvehicles
				class PlaneW: PlaneW{};//ext to cfgvehicles
				class MGun: MGun{};//ext to cfgvehicles
				class Missile: Missile{};//ext to cfgvehicles
				class Horizont: Horizont
				{
					class Dimmed: Dimmed{};//ext to cfgvehicles
				};
				class ILS: ILS
				{
					class Glideslope: Glideslope{};//ext to cfgvehicles
				};
			};
		};
	};
	class GunFire: WeaponFireGun {}; //ext to cfgvehicles
	class GunClouds: WeaponCloudsGun {}; //ext to cfgvehicles
	class MGunFire: WeaponFireMGun {}; //ext to cfgvehicles
	class MGunClouds: WeaponCloudsMGun {}; //ext to cfgvehicles
	class Sounds: Sounds
	{
		class Engine: Engine{};
		class Movement: Movement{};
	};
	class SpeechVariants
	{
		class Default;
	};
	class CamShake;
	class HitPoints
	{
		class HitHull;
	};
	class EventHandlers: DefaultEventHandlers{};//ext to cfgvehicles
	class DestructionEffects;
};
class Plane_Base_F: Plane
{
	class Turrets
	{
		class CopilotTurret: NewTurret
		{
			class ViewGunner: ViewPilot{};//ext to cfgvehicles
		};
	};
	class HitPoints: HitPoints{};
};

