class CfgPatches
{
	class uns_F4e_c
	{
		units[] =
		{
//usaf
			"uns_F4E_CAP","uns_F4E_CAS",
			"uns_F4E_AGM","uns_F4E_MR",
			"uns_F4E_LRBMB","uns_F4E_BMB",
			"uns_F4E_LBMB","uns_F4E_MBMB",
			"uns_F4E_HBMB","uns_F4E_GBU",
			"uns_F4E_CBU","uns_F4E_SEAD",
			"uns_F4E_CHICO",
//usn
			"uns_F4J_CAP","uns_F4J_CAS",
			"uns_F4J_AGM","uns_F4J_MR",
			"uns_F4J_LRBMB","uns_F4J_BMB",
			"uns_F4J_LBMB","uns_F4J_MBMB",
			"uns_F4J_HBMB","uns_F4J_GBU",
			"uns_F4J_CBU",
//usmc
			"uns_F4B_CAP","uns_F4B_CAS",
			"uns_F4B_AGM","uns_F4B_MR",
			"uns_F4B_LRBMB","uns_F4B_BMB",
			"uns_F4B_LBMB","uns_F4B_MBMB",
			"uns_F4B_HBMB","uns_F4B_GBU",
			"uns_F4B_CBU"
			
		};
		weapons[] = {};
		requiredVersion = 0.1;
		requiredAddons[] = {"uns_main","uns_weap_c","uns_men_c","uns_missilebox_c"};
	};
};
#include "CfgComponentsBase.hpp"
#include "Rsc.hpp"
#include "base_inheritance_plane.hpp"
class CfgVehicles
{
	#include "base_class_plane.hpp"
	class uns_plane: Plane_Base_F 
	{
	    class Turrets: Turrets
	    {
	        class CopilotTurret: CopilotTurret{ };
	    };
	    class HitPoints: HitPoints
	    {
	        class HitHull: HitHull{ };
	    };
	    class NewTurret;
	    class ViewPilot;
	    class ViewGunner;
	    class ViewOptics;
	    class AnimationSources;
	    class Eventhandlers;
	    class Components;
	};
	class uns_F4E_USAF_base: uns_plane
	{
		author = "Unsung, Aplion, hcpookie, Eggbeast";
		simulation = "airplaneX";
		scope = 1;
//faction
		side = 1;
		vehicleClass = "aa_uns_air_USAF";
		editorSubcategory = "aa_uns_air_USAF";
		faction = "UNSUNG_W";
		crew = "uns_pil1";
		typicalCargo[] = {"uns_pil1", "uns_pil2"};
		availableForSupportTypes[] = {"CAS_Bombing"};		
//model
		displayName = "F-4E Phantom II";
		model = "\uns_f4e\uns_f4.p3d";
		icon = "\uns_f4e\ico\f4Map_ca.paa";
		picture = "\uns_f4e\ico\f4_ca.paa";
		mapSize = 17;
		unitInfoType = "Rsc_uns_f4_UnitInfo";
		hiddenSelections[] =
		{
//main textures
			"body","wings","doors",
//rescue signs all
			"d_rescue_L","d_rescue_R",
//mig star rank up getin EH
			"d_star",
//usaf tail decals
			"d_num1","d_num2",
//USN nose numbers
			"d_num3","d_num4","d_num5"
			
		};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf338\body_co.paa",
			"\uns_f4e\skins\usaf338\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\code\0.paa",
			"\uns_f100\decals\tail\HS_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa"
		};
		//EDEN / VIRTUAL GARAGE
		#include "Cfg_f4e_VirtualGarage.hpp"
	//handling
		maxSpeed = 2346; // changed Mach 1.9 
		maxABSpeed = 2346;
		uns_AB_baseForce = 0; //added 
		landingAoa = "rad 10"; //changed 
		landingSpeed = 240; // changed
		stallspeed = 325; //added important for AI when coming out of turns
		brakeDistance = 320; // changed 
		acceleration = 210;   // 300
		airbrake = 1;
		airBrakeFrictionCoef = 2.0; // changed 
		flaps = 1; 
		flapsFrictionCoef = 0.31; // changed 
		aileronSensitivity = 0.825; // changed should feel like a heavy plane but also still quick enough for a fighter
		elevatorSensitivity = 0.95; // changed  
		elevatorControlsSensitivityCoef = 4.5;
		aileronControlsSensitivityCoef = 4.0;
		rudderControlsSensitivityCoef = 3.0;
		wheelSteeringSensitivity = 2; // 1.3;
		rudderInfluence = 0.825; // changed 
		angleOfIndicence = 0.05235987;
		draconicForceXCoef = 8; // changed
		draconicForceYCoef = 0.95; //  changed
		draconicForceZCoef = 1.0; // changed
		envelope[] =  {0.0, 1.9, 6, 8, 8.5, 8.9, 9.2, 8.6, 7.8, 5.9, 4.3, 3.2, 2.1, 1.1, 0.5, 0}; // no change,  8.33	% increments 0%-125% max speed, lift in m/s
		thrustCoef[] = {1.5,1.51,1.535,1.60,1.75,2.2,2.55,2.65,2.75,2.81,2.90,1.75,0.7,0.0,0.0,0.0}; // changed, 10% increments  0%-150% of max speed
		elevatorCoef[] = {0.150,0.525,0.595,0.625,0.675,0.765,0.800,0.755,0.71,0.625,0.55,0.5,0.17,0.16,0.15,0.15};  // changed-added from FA 181, 10% increments 0%-150% of max speed
		aileronCoef[] = {0.4,0.5,0.8,0.95,1.02,1.04,1.03,1.01,1.0,0.7,0.6,0.55,0.5,0.45,0.4,0.35}; // changed-added from FA 181, 10% increments  0%-150% of max speed
		rudderCoef[] = {0.75,0.45,0.75,1.35,2.1,2.5,2.2,2.1,1.5,1.125,1.0,0.95,0.9,0.7,0.5,0.3}; // changed-added from FA 181, 10% increments  0%-150% of max speed
		draconicTorqueXCoef[] = {8.2,7.75,6.31,6.11,5.5,5.0,5.1,5.9,6.5,7.7,8.3,9.0,9.1,9.2,9.2,9.2};  //changed-added from FA181, 10% increments  0%-150% of max speed
		draconicTorqueYCoef[] = {8.5,6.25,5.5,3.1,2.125,1.1,0.5,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0}; // changed-added from FA181 6.25% increments  0%-150% of max speed
		airFrictionCoefs0[] = {0.0,0.0,0.0}; // added  careful changing these affects AI landing especially 
		airFrictionCoefs1[] = {0.1,0.5,0.0075}; // added
		airFrictionCoefs2[] = {0.001,0.005,7.1e-005}; // added
		// TeTeT: These settings seems excessive for arma
		// altFullForce = 9000;
		// altNoForce = 20000;
		altFullForce = 7000;
		altNoForce = 15000;
		vtol = 0;
		gearUpTime = 4.5;
		gearDownTime = 3;
		gearsUpFrictionCoef = 0.25; //added 
		formationX = 80;
		formationZ = 80;
		driveOnComponent[] = {"wheel_1","wheel_2","wheel_3"};
	  	maxOmega = 2000;
		precision = 200; //added
		steerAheadSimul = 150; //added
		steerAheadPlan = 150; //added
		predictTurnPlan = 150; //added
		predictTurnSimul = 150; //added
		maxHeight = 12500; //added
		avgHeight = 1500; //added
		minHeight = 500; //added
		class Wheels
		{
			class wheel_1
			{
				boneName = "wheel_1";
				steering = 1;
				side = "left";
				center = "Wheel_1_center";
				boundary = "Wheel_1_rim";
				width = 0.374;
				mass = 1000; // 150;
				MOI = 25;
				dampingRate = 0.25;
				dampingRateDamaged = 1;
				dampingRateDestroyed = 1000;
				maxBrakeTorque = 1500;
				maxHandBrakeTorque = 0;
				suspTravelDirection[] = {0,-1,0};
				suspForceAppPointOffset = "Wheel_1_center";
				tireForceAppPointOffset = "Wheel_1_center";
				// TeTeT: 0.15 makes the wheel sink into the Freedom fligth deck
				maxCompression = 0; // 0.15;
				maxDroop = 0; // 0.15;
				sprungMass = 2500;
				springStrength = 10500;
				springDamperRate = 18000.5;
				longitudinalStiffnessPerUnitGravity = 5000;
				latStiffX = 25;
				latStiffY = 180;
				frictionVsSlipGraph[] = {{0,1},{0.5,1},{1,1}};
			};
			class wheel_2: wheel_1
			{
				boneName = "wheel_2";
				steering = 0;
				center = "Wheel_2_center";
				boundary = "Wheel_2_rim";
				width = 0.178; // 0.28
				mass = 500;
				dampingRate = 0.25;
				springDamperRate = 15000.5;
				sprungMass = 2134;
				springStrength = 10500;
				suspForceAppPointOffset = "Wheel_2_center";
				tireForceAppPointOffset = "Wheel_2_center";
			};
			class wheel_3: wheel_2
			{
				boneName = "wheel_3";
				side = "right";
				center = "Wheel_3_center";
				boundary = "Wheel_3_rim";
				suspForceAppPointOffset = "Wheel_3_center";
				tireForceAppPointOffset = "Wheel_3_center";
			};
		};
//vis
		threat[] = {1,1,1};
		cost = 200000;
		nameSound = "veh_air_plane_s";
		camouflage = 10;
		audible = 6;
		accuracy = 0.2;
//		laserScanner = 1;
		radarType = 4;
		irTarget = 1;
		irTargetSize = 1; 
		radarTarget = 1;
		radarTargetSize = 1.025; // should be roughly = to 6m2
		visualTarget =1;
		visualTargetSize = 1.1; // taking into account smoke from engines
		minFireTime = 30;
//		irScanRangeMin = 100;
//		irScanRangeMax = 12000;
//		irScanGround = 1;
//		irScanToEyeFactor = 3;
		IncomingMisslieDetectionSystem = 8; // changed
		LockDetectionSystem = "8"; // changed
		class ViewPilot: ViewPilot
		{
			initFov = 0.92;
			minFov = 0.3;
			maxFov = 1.2;
			initAngleX = 0;
			minAngleX = -40;
			maxAngleX = 85;
			initAngleY = 0;
			minAngleY = -150;
			maxAngleY = 150;
		};
//crew
		driverAction = "uns_f4_driver";
//		driverAction = "Chopperlight_L_Static_H";
		driverInAction = "Chopperlight_L_Static_H";
		memoryPointsGetInDriver = "pos driver";
		memoryPointsGetInDriverDir = "pos driver dir";
		getinAction = "pilot_plane_cas_02_Enter";
		getoutaction = "pilot_plane_cas_02_Exit";
		precisegetinout = 1;
		driverhasflares = 1;
		driverIsCommander = 1;
		gunAimDown = 0.07;
		viewDriverShadowDiff = 0.5;
		viewDriverShadowAmb = 0.5;

//weapons
		fuelCapacity = 1400; // changed, AI only had about 5mins flight time with 400
		memoryPointLRocket = "rocket_9";
		memoryPointRRocket = "rocket_10";
		selectionFireAnim = "zasleh_nose";
		gunBeg = "muzzle1";
		gunEnd = "chamber1";
		memoryPointGun = "muzzle1";
		// Sensors datalink setup
		reportRemoteTargets = 1;
		receiveRemoteTargets = 1;
		reportOwnPosition = 1;
		class Components: Components
		{
			#include "CfgComponents.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_CAS.hpp"
				};
				#include "cfg_pylon_presets.hpp"
			};
		};
//gun camera
		weapons[] = {"uns_M61A1","CMFlareLauncher"};
		magazines[] = {"uns_640Rnd_M61_HEI","120Rnd_CMFlare_Chaff_Magazine"};
//		#include "pilotcamera.hpp"  
//		minTurn = -180;
//		maxTurn = 180;
//		initTurn = 0;
//		minElev = -20;
//		maxElev = 120;
//		initElev = 5;
		class Turrets
		{
			class MainTurret: NewTurret
			{
				commanding = -1;
				proxyType = "CPGunner";
				proxyIndex = 1;
				weapons[] = {};
				magazines[] = {};
				body = "WSO_Turret";
				gun = "WSO_Gun";
				animationSourceBody = "WSO_Turret";
				animationSourceGun = "WSO_Gun";
//				gunBeg = "WSO_Gun";
//				gunEnd = "WSO_gunend";
//				memoryPointGunnerOptics = "WSO_Gun";
//				turretInfoType = "RscWeaponRangeFinder";
//handling
				soundServo[] = {"",0.00316228,1};
				startEngine = 0;
//crew
				memoryPointsGetInGunner = "pos gunner";
				memoryPointsGetInGunnerDir = "pos gunner dir";
				castGunnerShadow = 1;
				viewGunnerShadow = 1;
				gunnerAction = "Chopperlight_L_Static_H";
				gunnerInAction = "Chopperlight_L_Static_H";
				hasGunner = 1;
				hideWeaponsGunner = 1;
				inGunnerMayFire = 1;
				lockWhenDriverOut = 0;
				outGunnerMayFire = 1;
				canEject=0;
//optics
				gunnerForceOptics = 0;
				gunnerOpticsColor[] = {0.227,0.769,0.24,1};
				gunnerForceOutOptics = 0;
				gunnerUsesPilotView = 0;
				gunnerOpticsShowCursor = 1;
				showgunneroptics = 1;
		//gun camera
				stabilizedInAxes = 3;
				maxHorizontalRotSpeed = 10;
				maxVerticalRotSpeed = 10;
				#include "opticsIN.hpp"
				turretInfoType = "RscOptics_UAV_gunner";
				gunnerOpticsModel = "A3\drones_f\Weapons_F_Gamma\Reticle\UGV_01_Optics_Gunner_F.p3d";
				memoryPointGun = "pos_pip1";
				memoryPointGunnerOptics = "pos_pip1_dir";
				gunBeg = "pos_pip1_dir";
				gunEnd = "pos_pip1";
				minElev = -90;
				maxElev = 5;
				initElev = -45;
				minTurn = -180;
				maxTurn = 180;
				initTurn = 0;
				initFov = 0.95;
				class ViewOptics
				{
					initAngleX = 0;
					minAngleX = -90;
					maxAngleX = 25;
					initAngleY = 0;
					minAngleY = -80;
					maxAngleY = 80;
					initFov = 0.15;
					minFov = 0.025;
					maxFov = 0.3;
					visionMode[] = {"Normal","NVG"};
				};
				class ViewGunner
				{
					initAngleX = 0;
					minAngleX = -45;
					maxAngleX = 85;
					initAngleY = 0;
					minAngleY = -165;
					maxAngleY = 165;
					initFov = 0.8;
					minFov = 0.25;
					maxFov = 1.255;
				};
			class Components
			{ 
				#include "CfgComponentsGIB.hpp"
			};
		};
	};
//armour
		#include "damage.hpp"
//sounds
		#include "sounds.hpp"
//lights
		#include "lights.hpp"
//fx
		#include "effects.hpp"
//actions, EHs
		class UserActions
		{
			class Masterarm
			{
				displayName = "<t color=""#9400D3"">~ Master Arm</t>";
				position = "pilotcontrol";
				showWindow = 0;
				radius = 5;
				priority = 20;
				onlyforplayer = 0;
				shortcut = "reloadMagazine";
				condition = "( ( !(isengineOn this)) && (player == driver this) && (speed this < 2) && (speed this > -2) );";
				statement = "this spawn uns_mbox_fnc_rearm;";
			};
			class Tanks
			{
				displayName = "<t color=""#9400D3"">~ Fuel Tank</t>";
				position = "pilotcontrol";
				showWindow = 0;
				radius = 5;
				priority = -20;
				onlyforplayer = 0;
				condition = "( (player == driver this) && (Fuel this < 0.5) && ( (this getVariable 'uns_fueltanks') >0) );";
				statement = "this spawn uns_mbox_fnc_refuel;";
			};
			class OpenFuelDoor
			{
				displayName = "<t color=""#9400D3"">~ Open Fuel Door</t>";
				position = "pilotcontrol";
				showWindow = 0;
				radius = 5;
				priority = -15;
				onlyforplayer = 0;
				condition = "this animationPhase 'Fuel_Probe' < 0.1;";
				statement = "this animate ['Fuel_Probe', 1, true];";
			};
			class CloseFuelDoor: OpenFuelDoor
			{
				displayName = "<t color=""#9400D3"">~ Close Fuel Door</t>";
				condition = "this animationPhase 'Fuel_Probe' > 0.9;";
				statement = "this animate ['Fuel_Probe', 0, true];";
			};
			class TailhookDown
			{
				displayName = "<t color='#199bf0'>~ Tailhook down</t>";
				position = "pilotcontrol";
				radius = 15;
				priority = -15;
				showWindow = 0;
				condition = "(this animationPhase ""tailhook"" < 0.5)";
				statement = "this animate [""tailhook"",1]; [this] spawn BIS_fnc_AircraftTailhook; [this] spawn ttt_fnc_arrest;";
				onlyforplayer = false;
			};
			class TailhookUp: TailhookDown
			{
				displayName = "<t color='#199bf0'>~ Tailhook up</t>";
				condition = "(this animationPhase ""tailhook"" > 0.5)";
				statement = "this animate [""tailhook"",0];";
			};
			// class afterburner
			// {
			// 	displayName = "<t color='#199bf0'>~Afterburner On</t>";
			// 	shortcut = "vehicleTurbo";
			// 	condition = "( (this animationPhase ""ABSwitch"" == 0) && (isengineon this) && (speed this >50) && (player == (driver this)) )";
			// 	statement = "this animate [""ABSwitch"",1]; this spawn uns_f4e_c_fnc_afterburner;";
			// 	position = "pilotcontrol";
			// 	radius = 15;
			// 	onlyforplayer = 1;
			// 	priority = 10;
			// 	showWindow = 0;
			// };
			// class afterburneroff: afterburner
			// {
			// 	displayName = "<t color='#199bf0'>~Afterburner Off</t>";
			// 	shortcut = "Crouch";
			// 	condition = "this animationPhase ""ABSwitch"" == 1 && player in this";
			// 	statement = "this animate ['ABSwitch',0];";
			// };
			class wheelbrake_on
			{
				position = "pilotcontrol";
				radius = 15;
				onlyforplayer = 1;
				priority = 10;
				showWindow = 0;				
				shortcut = "Crouch";
				displayName = "<t color='#199bf0'>Wheel Brakes ON</t>";
				condition = "(player in this) AND (speed this > 10) AND (speed this < 200) AND (Alive(this)) AND (isTouchingGround this)";
				statement = "[this] spawn uns_mbox_fnc_wheelbrakes;";
			};
			class wheelbrake_off: wheelbrake_on
			{
				shortcut = "";
				displayName = "<t color=""#199bf0"">~ Wheel Brakes OFF</t>";
				condition = "this getVariable ['uns_wheelbrake', false]";
				statement = "this setVariable ['uns_wheelbrake', false, true];";
			};
			class wingsup: wheelbrake_on
			{
				displayName = "<t color='#199bf0'>~ Retract Wings</t>";
				condition = "((player == driver this) && this animationphase 'wingfold_left' < 0.1 && (speed this < 25))";
				statement = "this spawn uns_a6_fnc_wingsup;";
				priority = -1;
				shortcut = "";
			};
			class wingsdown: wingsup
			{
				displayName = "<t color='#199bf0'>~ Lower Wings</t>";
				condition = "(((player == driver this) && this animationphase 'wingfold_left' > 0.9) && (speed this < 25))";
				statement = "this spawn uns_a6_fnc_wingsdown";
			};
			class Eject_Pilot
			{
				condition="player in this and isEngineOn this and player == driver this";
				displayName="Eject";
				hideOnUse=1;
				onlyforplayer=1;
				position="pilotcontrol";
				priority=0.050000001;
				radius=10;
				shortcut="Eject";
				showWindow=0;
				statement="[this] spawn uns_mbox_fnc_ejection_twoseater;";
			};
			class Eject_WSO
			{
				condition="player in this and isEngineOn this and player == gunner this";
				displayName="Eject";
				hideOnUse=1;
				onlyforplayer=1;
				position="pilotcontrol";
				priority=0.050000001;
				radius=10;
				shortcut="Eject";
				showWindow=0;
				statement="[this] spawn uns_mboc_fnc_ejection_twoseater;";
			};			
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_USAF; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
				engine = "_this call bis_fnc_aircraftFoldingWings;";
//				fired = "_this spawn uns_mbox_fnc_fall";
				gear = "_this call bis_fnc_aircraftFoldingWings;";
				getIn = "_this spawn uns_f4e_c_fnc_rank;";
			};
		};
// ejection system		
		driverCanEject=0;
		ejectDamageLimit=0.44999999;
		ejectDeadCargo=0;
		ejectDeadDriver=0;
		ejectDeadGunner=0;
		ejectSpeed[]={0,60,0};
		class EjectionSystem
		{
			CanopyClass="uns_f4e_Canopy";
			CanopyForce=30;
			CanopyHideAnim="canopy_hide";
			CanopyPos="pos_eject_canopy";
			EjectionDual=1;
			EjectionParachute="Steerable_Parachute_F";
			EjectionSeatClass="uns_f4e_ejection_Seat";
			EjectionSeatEnabled=1;
			EjectionSeatForce=50;
			EjectionSeatHideAnim="ejection_seat_hide";
			EjectionSeatPos="pos_eject";
			EjectionSeatRailAnim="ejection_seat_motion";
			EjectionSoundExt="Plane_Fighter_01_ejection_ext_sound";
			EjectionSoundInt="Plane_Fighter_01_ejection_in_sound";
		};

// auto wingfold
		class AircraftAutomatedSystems
		{
			wingStateControl = 1;
			wingFoldAnimations[] = {"wingfold_left", "wingfold_right"};
			wingStateFolded = 1;
			wingStateUnFolded = 0;
			wingAutoUnFoldSpeed = 40;
		};
//kit
		#include "kit.hpp"
		class Library
		{
			libEnable = 0;
			libTextDesc = "The McDonnell Douglas F-4 Phantom II is a tandem two-seat, twin-engine, all-weather, long-range supersonic jet interceptor aircraft/fighter-bomber originally developed for the United States Navy by McDonnell Aircraft. It first entered service in 1960 with the U.S. Navy. Proving highly adaptable, it was also adopted by the U.S. Marine Corps and the U.S. Air Force, and by the mid-1960s had become a major part of their respective air wings. The Phantom is a large fighter with a top speed of over Mach 2.2. It can carry more than 18,000 pounds (8,400 kg) of weapons on nine external hardpoints, including air-to-air missiles, air-to-ground missiles, and various bombs.  F-4E introduced an internal M61 Vulcan cannon. During the Vietnam War, the F-4 was used extensively; it served as the principal air superiority fighter for both the Navy and Air Force, and became important in the ground-attack and aerial reconnaissance roles late in the war. The Phantom has the distinction of being the last U.S. fighter flown to attain ace status in the 20th century. During the Vietnam War, the U.S. Air Force had one pilot and two weapon systems officers (WSOs), and the US Navy had one pilot and one radar intercept officer (RIO) become aces by achieving five aerial kills against enemy fighter aircraft. All phantoms in Vietnam were urgently fitted with radar homing and warning (RHAW) antennas to detect the Soviet-built S-75 Dvina SAMs. The most flown models in Vietnam were the F-4D/E by the USAF, the F-4B by the USMC and the F-4J by the USN.";
		};
		LESH_canBeTowed = 1;
		LESH_towFromFront = 1;
		LESH_AxisOffsetTarget[] = {0, 9, -1};
		LESH_WheelOffset[] = {0, -0.5};

		USAF_RefuelType = "hose";
		USAF_RefuelPoint = "fueldoor";
		USAF_RefuelAnimation = "Fuel_Probe";
//MFD
		#include "mfd_f4.hpp"
	};
	class uns_F4J_Navy_base: uns_F4E_USAF_base
	{
		scope = 1;
		displayName = "F-4J Phantom II";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		weapons[] = {"CMFlareLauncher"};
		magazines[] = {"120Rnd_CMFlare_Chaff_Magazine"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_LBMB.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
		#include "CfgFreedom.hpp"
	};
	class uns_F4B_USMC_base: uns_F4J_Navy_base
	{
		scope = 1;
		displayName = "F-4B Phantom II";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};		
	};
  	class uns_F4E_CAP: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (CAP)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf338\body_co.paa",
			"\uns_f4e\skins\usaf338\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_CAP.hpp"
				};
			};
		};
	};
	class uns_F4J_CAP: uns_F4E_CAP
	{
		displayName = "F-4J Phantom II (CAP)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_CAPN.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_CAP: uns_F4J_CAP
	{
		displayName = "F-4B Phantom II (CAP)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};			
	};
	class uns_F4E_CAS: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (CAS)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_CAS.hpp"
				};
			};
		};
	};
	class uns_F4J_CAS: uns_F4E_CAS
	{
		displayName = "F-4J Phantom II (CAS)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf142\body_co.paa",
			"\uns_f4e\skins\vf142\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numy\2_ca.paa",
			"\uns_f4e\decals\numy\0_ca.paa",
			"\uns_f4e\decals\numy\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_CAS.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_CAS: uns_F4J_CAS
	{
		displayName = "F-4B Phantom II (CAS)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};			
	};
	class uns_F4E_AGM: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (AGM)";
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_AGM.hpp"
				};
			};
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
	};
	class uns_F4J_AGM: uns_F4E_AGM
	{
		displayName = "F-4J Phantom II (AGM)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf161\body_co.paa",
			"\uns_f4e\skins\vf161\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_AGM.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_AGM: uns_F4J_AGM
	{
		displayName = "F-4B Phantom II (AGM)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};			
	};
	class uns_F4E_MR: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (MR)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_MR.hpp"
				};
			};
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};		
		memoryPointLRocket = "rocket_1";
		memoryPointRRocket = "rocket_2";
/*
		class UserActions: UserActions
		{
			class ARMRadarDetect
			{
				displayName = "<t color='#19289a'>~ARM Detect</t>";
				position = "zamerny";
				showWindow = 0;
				radius = 15;
				priority = -1;
				onlyForPlayer = 0;
				shortcut = "AutoHover";
				condition = "(alive this) && (player in this) && (this GetVariable 'ELS_Active') == 0";
				statement = "[this] execVM '\pook_SAM\scripts\ARMRadarDetect.sqf';";
			};
			class ARMRadarEngage: ARMRadarDetect
			{
				displayName = "<t color='#19289a'>~ARM Engage</t>";
				shortcut = "AutoHoverCancel";
				condition = "(alive this) && (player in this) && (this GetVariable 'ELS_Active') == 1";
				statement = "[this] execVM '\pook_SAM\scripts\ARMRadarEngage.sqf';";
			};
			class ARMRadarCancel: ARMRadarDetect
			{
				displayName = "<t color='#19289a'>~ARM Cancel</t>";
				shortcut = "LockTarget";
				condition = "(alive this) && (player in this) && (this GetVariable 'ELS_Active') == 1";
				statement = "[this] execVM '\pook_SAM\scripts\ARMRadarCancel.sqf';";
			};
		};
*/
	};
	class uns_F4J_MR: uns_F4E_MR
	{
		displayName = "F-4J Phantom II (MR)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_MR.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_MR: uns_F4J_MR
	{
		displayName = "F-4B Phantom II (MR)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};	
	};
	class uns_F4E_BMB: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (BMB)";
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_BMB.hpp"
				};
			};
		};
	};
	class uns_F4J_BMB: uns_F4E_BMB
	{
		displayName = "F-4J Phantom II (BMB)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf142\body_co.paa",
			"\uns_f4e\skins\vf142\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numy\2_ca.paa",
			"\uns_f4e\decals\numy\0_ca.paa",
			"\uns_f4e\decals\numy\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_BMB.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_BMB: uns_F4J_BMB
	{
		displayName = "F-4B Phantom II (BMB)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};	
	};
	class uns_F4E_LRBMB: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (LRBMB)";
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_LRBMB.hpp"
				};
			};
		};
	};
	class uns_F4J_LRBMB: uns_F4E_LRBMB
	{
		displayName = "F-4J Phantom II (LRBMB)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_LRBMBN.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_LRBMB: uns_F4J_LRBMB
	{
		displayName = "F-4B Phantom II (LRBMB)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};	
	};
	class uns_F4E_LBMB: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (LBMB)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_LBMB.hpp"
				};
			};
		};
	};
	class uns_F4J_LBMB: uns_F4E_LBMB
	{
		displayName = "F-4J Phantom II (LBMB)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf161\body_co.paa",
			"\uns_f4e\skins\vf161\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_LBMB.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_LBMB: uns_F4J_LBMB
	{
		displayName = "F-4B Phantom II (LBMB)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};	
	};
	class uns_F4E_MBMB: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (MBMB)";
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_MBMB.hpp"
				};
			};
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
	};
	class uns_F4J_MBMB: uns_F4E_MBMB
	{
		displayName = "F-4J Phantom II (MBMB)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_MBMB.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_MBMB: uns_F4J_MBMB
	{
		displayName = "F-4B Phantom II (MBMB)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};		
	};
	class uns_F4E_HBMB: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (HBMB)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_HBMB.hpp"
				};
			};
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
	};
	class uns_F4J_HBMB: uns_F4E_HBMB
	{
		displayName = "F-4J Phantom II (HBMB)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf161\body_co.paa",
			"\uns_f4e\skins\vf161\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_HBMB.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_HBMB: uns_F4J_HBMB
	{
		displayName = "F-4B Phantom II (HBMB)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};		
	};
	class uns_F4E_GBU: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (GBU)";
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_GBU.hpp"
				};
			};
		};
		magazines[] = {"uns_640Rnd_M61","120Rnd_CMFlare_Chaff_Magazine"};
		class Turrets: Turrets
		{
			class MainTurret: MainTurret
			{
				weapons[] = {"LaserDesignator_mounted"};
				magazines[] = {"LaserBatteries"};
			};
		};	
	};
	class uns_F4J_GBU: uns_F4E_GBU
	{
		displayName = "F-4J Phantom II (GBU)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf142\body_co.paa",
			"\uns_f4e\skins\vf142\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numy\2_ca.paa",
			"\uns_f4e\decals\numy\0_ca.paa",
			"\uns_f4e\decals\numy\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_GBUN.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_GBU: uns_F4J_GBU
	{
		displayName = "F-4B Phantom II (GBU)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};	
	};
	class uns_F4E_CBU: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "F-4E Phantom II (CBU)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		magazines[] = {"uns_640Rnd_M61_HEI","120Rnd_CMFlare_Chaff_Magazine"};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_CBU.hpp"
				};
			};
		};
	};
	class uns_F4J_CBU: uns_F4E_CBU
	{
		displayName = "F-4J Phantom II (CBU)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf84\body_co.paa",
			"\uns_f4e\skins\vf84\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavyJ.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_CBU.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_CBU: uns_F4J_CBU
	{
		displayName = "F-4B Phantom II (CBU)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsNavy.hpp"
		};		
	};
	class uns_F4E_SEAD: uns_F4E_MR
	{
		scope = 2;
		displayName = "F-4C Phantom II (SEAD)";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usaf366\body_co.paa",
			"\uns_f4e\skins\usaf366\wings_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponentsSEAD.hpp"
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_SEAD.hpp"
				};
			};
		};
		weapons[] = {"CMFlareLauncher"}; // F-4C didnt have internal gun
		magazines[] = {"120Rnd_CMFlare_Chaff_Magazine"};
		class Turrets: Turrets
		{
			class MainTurret: MainTurret
			{
				class Components
				{ 
					#include "CfgComponentsGIBSEAD.hpp"
				};
			};
		};		

	};
/*	class uns_F4J_SEAD: uns_F4E_SEAD      Removed as the Navy never used the F4 for this role. A-6B and then EA-6A were used instead.
	{
		displayName = "F-4J Phantom II (SEAD)";
		vehicleClass = "aa_uns_air_US_navy";
		editorSubcategory = "aa_uns_air_US_navy";
		crew = "uns_pilN1";
		typicalCargo[] = {"uns_pilN1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\vf142\body_co.paa",
			"\uns_f4e\skins\vf142\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numy\2_ca.paa",
			"\uns_f4e\decals\numy\0_ca.paa",
			"\uns_f4e\decals\numy\1_ca.paa"
		};
		class Components: Components
		{
			#include "CfgComponents.hpp"
			class TransportPylonsComponent
			{
				UIPicture = "uns_f4e\ico\f4_eden_ca.paa";
				class Pylons
				{
					#include "cfg_pylons_SEAD.hpp"
				};
				#include "cfg_pylon_presets_navy.hpp"
			};
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_f4e_c_fnc_idnum_NAVY; _this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class uns_F4B_SEAD: uns_F4J_SEAD
	{
		displayName = "F-4B Phantom II (SEAD)";
		vehicleClass = "aa_uns_air_USMC";
		editorSubcategory = "aa_uns_air_USMC";
		crew = "uns_pil_usmc_1";
		typicalCargo[] = {"uns_pil_usmc_1"};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins\usmc\body_co.paa",
			"\uns_f4e\skins\usmc\wings_co.paa",
			"\uns_f4e\skins_navy\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_0_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f4e\decals\numg\2_ca.paa",
			"\uns_f4e\decals\numg\0_ca.paa",
			"\uns_f4e\decals\numg\1_ca.paa"
		};
	};
*/	
	class uns_F4E_CHICO: uns_F4E_USAF_base
	{
		scope = 2;
		displayName = "Chico the Gunfighter";
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins_chico\body_chico_co.paa",
			"\uns_f4e\skins_chico\wings_chico_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa",
			"\uns_f4e\decals\rescue_left_ca.paa",
			"\uns_f4e\decals\rescue_right_ca.paa",
			"\uns_f4e\decals\star_3_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa",
			"\uns_f100\decals\longtailnum\blank_ca.paa"
		};
		class Components: Components
		{
			class TransportPylonsComponent: TransportPylonsComponent
			{
				class Pylons: Pylons 
				{
					#include "cfg_pylons_CHICO.hpp"
				};
			};
		};
		class Library
		{
			libEnable = 0;
			libTextDesc = "Unsung  F-4E Phantom. 'Chico', a unique-role 366th Tactical Fighter Wing 'Gunfighters' F-4E (68-339) operated out of Da Nang, South Vietnam in 1972. Chico was an F-4E-37-MC (68-339) belonging to the 421st TFS Black Widows was fitted with SUU-23/A gun pods on the outboard pylons; a pair of Navy Mk 20 Rockeye II Cluster Bombs on each inboard station; one ALQ-87 ECM pod carried in the right front missile bay; two AIM-7 Sparrow radar missiles in the aft wells; and one 600-gallon centerline drop tank.";
		};
		class Eventhandlers: Eventhandlers
		{
			class unsung: unsung
			{
				init = "_this spawn uns_mbox_fnc_common_init; _this spawn uns_f4e_c_fnc_init;";
			};
		};
	};
	class PlaneWreck;
	class uns_F4_Wreck: PlaneWreck
	{
		scope = 2;
		VehicleClass = "aa_uns_wrecks";
		editorCategory = "UNS_All_Obj";
		editorSubcategory = "aa_uns_wrecks";
		displayName = "F-4E Wreck";
		model = "\uns_f4e\uns_F4_Wreck.p3d";
		mapSize = 12;
		class Armory
		{
			disabled = 1;
		};
		side = 6;
		armor = 200;
		typicalCargo[] = {};
		irTarget = 0;
		class Eventhandlers{};
	};
	class Ejection_Seat_Base_F;
	class Plane_Canopy_Base_F;
	class uns_f4e_ejection_Seat: Ejection_Seat_Base_F
	{
		crew="uns_pil1";
		cargoAction[]=
		{
			"Pilot_Plane_Fighter_Ejection"
		};
		driverAction="Pilot_Plane_Fighter_Ejection";
		scope=1;
		side=0;
		faction="BLU_F";
		author="TeTeT (config)";
		displayName="F-4 Ejection Seat";
		Icon="iconParachute";
		picture="\A3\Air_F_Beta\Parachute_01\Data\UI\Portrait_Parachute_01_CA.paa";
		model="uns_f4e\proxy\uns_f4e_ejection_seat.p3d";

	};
	class uns_f4e_canopy: Plane_Canopy_Base_F
	{
		displayName="F-4 Canopy";
		model="uns_f4e\proxy\uns_f4e_canopy.p3d";
		author="TeTeT (config)";
		scope=1;
	};
};
class CfgFunctions
{
	class uns_f4e_c
	{
		class phantom
		{
			file = "uns_f4e_c\functions";
			class rank{};
			class idnum_NAVY{};
			class idnum_USAF{};
			class afterburner{};
			class init{};
			class carriercheck{};
			class wings{};
			class wingcheck{};
		};
	};
};

/*

//gunpod system

//////////////  NOSE GUN

		hiddenSelections[] =
		{
			"body","wings","doors",
			"suu23","suu23_barrel","zasleh_suu23", 	//CL
			"w1_suu23","w1_suu23_barrel", 			//right
			"w1_zasleh_suu23", 						//nose and 2 wings flash
			"w2_suu23","w2_suu23_barrel" 			//left
		};
		selectionFireAnim = "zasleh";
		gunBeg = "muzzle1";
		gunEnd = "chamber1";
		memoryPointGun = "muzzle1";
		weapons[] = {"uns_M61A1","CMFlareLauncher"};

//////////////// CL gunpod

		hiddenSelections[] =
		{
			"body","wings","doors",
			"zasleh",							//nose flash
			"w1_suu23","w1_suu23_barrel", 		//right
			"w1_zasleh_suu23", 					//nose and 2 wings flash
			"w2_suu23","w2_suu23_barrel" 		//left
		};
		selectionFireAnim = "zasleh_suu23";
		gunBeg = "suu23_usti_hlavne";
		gunEnd = "suu23_konec_hlavne";
		memoryPointGun = "suu23_usti_hlavne";
		class AnimationSources: AnimationSources
		{
			class suu23_rot
			{
				source = "revolving";
				weapon = "uns_M61A1_pod";
			};
			class ReloadAnim: suu23_rot
			{
				source = "reload";
			};
		};
		weapons[] = {"uns_M61A1_pod"};

///////////////// TRIPLE - 2 pods and nose gun
//twin guns
		hiddenSelections[] =
		{
			"body","wings","doors",
			"zasleh_suu23","suu23","suu23_barrel"	//CL
		};
		gunBeg[] = {"muzzle1","w1_suu23_usti_hlavne","w2_suu23_usti_hlavne"};
		gunEnd[] = {"chamber1","w1_suu23_konec_hlavne","w2_suu23_konec_hlavne"};
		memoryPointGun = "muzzle1";
		selectionFireAnim = "w1_zasleh_suu23";
		class AnimationSources: AnimationSources
		{
//right wing
			class w1_suu23_rot
			{
				source = "revolving";
				weapon = "uns_M61A1x3";
			};
			class w1_ReloadAnim: w1_suu23_rot
			{
				source = "reload";
			};
//left wing
			class w2_suu23_rot
			{
				source = "revolving";
				weapon = "uns_M61A1x3";
			};
			class w2_ReloadAnim: w2_suu23_rot
			{
				source = "reload";
			};
		};
		hiddenSelectionsTextures[] =
		{
			"\uns_f4e\skins_chico\body_chico_co.paa",
			"\uns_f4e\skins_chico\wings_chico_co.paa",
			"\uns_f4e\skins_camo\doors_co.paa"
		};
		weapons[] = {"uns_M61A1x3"};
*/